be.ehealth.technicalconnector.config.impl

## Class ConfigurationModuleVersion

- java.lang.Object
- - be.ehealth.technicalconnector.config.impl.ConfigurationModuleVersion

- All Implemented Interfaces:
    ConfigurationModule

      public class ConfigurationModuleVersion
      extends Object
      implements ConfigurationModule

  `ConfigurationModule` that logs the content of the CP Implementation of `ConfigurationModule`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationModuleVersion()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dumpJarFromCP()`
    `void` | `dumpServiceLoaderFiles()`
    `void` | `init(Configuration config)` Method that initialise the configuration module.
    `void` | `unload()` Method that restores the configuration module and reset the system to the initial situation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurationModuleVersion

          public ConfigurationModuleVersion()

  - ### Method Detail

    - #### init

          public void init(Configuration config)
                    throws TechnicalConnectorException

      Description copied from interface: `ConfigurationModule`
      Method that initialise the configuration module.
      Specified by:
        `init` in interface `ConfigurationModule`
      Throws:
        `TechnicalConnectorException`
      See Also:
        `ConfigurationModule.init(be.ehealth.technicalconnector.config.Configuration)`

    - #### dumpJarFromCP

          public void dumpJarFromCP()

    - #### dumpServiceLoaderFiles

          public void dumpServiceLoaderFiles()

    - #### unload

          public void unload()
                      throws TechnicalConnectorException

      Description copied from interface: `ConfigurationModule`
      Method that restores the configuration module and reset the system to the initial situation.
      Specified by:
        `unload` in interface `ConfigurationModule`
      Throws:
        `TechnicalConnectorException`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.